Subject: bug#43716: 28.0.50; Error with emacsclient <file>:

From: Tassilo Horn <[email-masked]>
Date: Wed, 30 Sep 2020 16:38:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> It's unfortunate that there's no way to get Emacs to reliably give a
>> backtrace
>
> I thought debug-on-event and SIGUSR1/SIGUSR2 were such a way?

More details, please.  I mean, it's set to sigusr2 by default and I get
a *Backtrace* buffer with "kill -SIGUSR2 <emacs_pid>".  But how does
that help with the "emacsclient <file>" invocation?

Anyway, I'm sure you know where I have to set a breakpoint in order to
find out where and for which function "Wrong number of arguments" is
signalled, right?

Bye,
Tassilo